package de.szut.casino.slots;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

@Getter
@Setter
@NoArgsConstructor
public class SpinResult {
    public SpinResult(String status, BigDecimal amount, boolean isWin) {
        this.status = status;
        this.amount = amount;
        this.isWin = isWin;
    }

    private String status;
    private BigDecimal amount;
    private boolean isWin;
    private List<List<Symbol>> resultMatrix;
}
