package de.szut.casino.user;

import de.szut.casino.user.dto.CreateUserDto;
import de.szut.casino.user.dto.GetUserDto;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;

@Service
public class UserMappingService {
    public GetUserDto mapToGetUserDto(UserEntity user) {
        return new GetUserDto(user.getAuthentikId(), user.getUsername(), user.getBalance());
    }

    public UserEntity mapToUserEntity(CreateUserDto createUserDto) {
        return new UserEntity(createUserDto.getAuthentikId(), createUserDto.getUsername(), BigDecimal.ZERO);
    }
}

