import { ChangeDetectionStrategy, Component } from '@angular/core';
import { FontAwesomeModule } from '@fortawesome/angular-fontawesome';
import { faCreditCard, faMoneyBillTransfer, faWallet } from '@fortawesome/free-solid-svg-icons';
import { faApplePay, faGooglePay, faPaypal } from '@fortawesome/free-brands-svg-icons';

@Component({
  selector: 'app-footer',
  standalone: true,
  templateUrl: './footer.component.html',
  imports: [FontAwesomeModule],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class FooterComponent {
  currentYear: number = new Date().getFullYear();

  faPaypal = faPaypal;
  faCreditCard = faCreditCard;
  faMoneyBillTransfer = faMoneyBillTransfer;
  faWallet = faWallet;
  faGooglePay = faGooglePay;
  faApplePay = faApplePay;
}
